Seedance-2.0-Pro

Seedance-2.0-Pro

Provider: ByteDance
Category: Video Generation
Endpoint: POST /v1/videos/generations
Context window:
Served from: Malaysia

Multimodal video model for cinematic output from text, image, audio, or video inputs, with stable motion and consistent characters.

At a glance

FieldValue
Model idseedance-2-0-pro
Input modalitiestext
Output modalitiesvideo
Context window
RegionMalaysia
Featuresaudio_sync, camera_control, character_consistency
NewNo
Native inferenceNo

Pricing

ChargeSpecRate
T2V/I2V 480Pper second$0.139
T2V/I2V 720Pper second$0.300
T2V/I2V 1080Pper second$0.749
Video Input 480Pper second$0.342
Video Input 720Pper second$0.736
Video Input 1080Pper second$1.841

Example request

$curl https://api.empiriolabs.ai/v1/videos/generations \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -H 'Content-Type: application/json' \
> -d '{"model": "seedance-2-0-pro", "prompt": "sunrise over the ocean", "duration": 6}'

Parameters

ParameterTypeRequiredDefaultDescription
promptstringyesScene description.
modeenumno"auto"auto: detect from inputs. t2v: text-to-video. i2v_first: animate first frame. i2v_both: morph between start (image) and end (image_end). reference: use image as visual reference. edit: edit attached video. extend: extend attached video. · Allowed: auto, t2v, i2v_first, i2v_both, reference, edit, extend
resolutionenumno"720p"Allowed: 480p, 720p, 1080p
aspect_ratioenumno"adaptive"adaptive: derive from input image. · Allowed: adaptive, 16:9, 9:16, 1:1, 4:3, 3:4, 21:9
custom_durationbooleannotrueIf false, the model decides clip length. If true, use the duration field.
durationnumberno5Clip length in seconds. Only used when custom_duration=true. · Range: 1 – 15
generate_audiobooleannotrueGenerate native audio with the video.
imagestringnoReference image URL.
image_endstringnoEnd-frame image URL for i2v_both.
videostringnoReference video URL for edit / extend.
negative_promptstringno""What to avoid.
seednumbernoReproducibility seed.

Live machine-readable schema is also available at GET https://api.empiriolabs.ai/v1/models/seedance-2-0-pro.